## crystal-facet-uml 1.25.1

=== CMakeLists.txt ===
PROJECT(crystal_facet_uml LANGUAGES C)
CMAKE_MINIMUM_REQUIRED(VERSION 3.0)

#helper to find include directories and libraries:
find_package(PkgConfig REQUIRED)

# ==== ==== ==== ==== ==== ==== ==== ==== Build Environment Settings ==== ==== ==== ==== ==== ==== ==== ====

set(COMPILE_IN_INCLUDE_DIR "" CACHE FILEPATH "Path to additional include directory")
set(COMPILE_IN_SOURCE_FILE "" CACHE FILEPATH "Path to additional source file, e.g. sqlite3.c")
INCLUDE_DIRECTORIES(${COMPILE_IN_INCLUDE_DIR})

# crystal_facet_uml

INCLUDE_DIRECTORIES(gui/include)
INCLUDE_DIRECTORIES(main/include)
INCLUDE_DIRECTORIES(tslog/include)
INCLUDE_DIRECTORIES(trace/include)
INCLUDE_DIRECTORIES(ctrl/include)
INCLUDE_DIRECTORIES(data/include)
INCLUDE_DIRECTORIES(utf8stringbuf/include)
INCLUDE_DIRECTORIES(pencil/include)
INCLUDE_DIRECTORIES(io/include)
INCLUDE_DIRECTORIES(universal/include)

#sqlite3 dependencies

pkg_search_module(SQLITE3 REQUIRED sqlite3)
INCLUDE_DIRECTORIES(${SQLITE3_INCLUDE_DIRS})
#MESSAGE("SQLITE3: ${SQLITE3_INCLUDE_DIRS}")

#gtk3 dependencies

pkg_search_module(GLIB2 REQUIRED glib-2.0)
INCLUDE_DIRECTORIES(${GLIB2_INCLUDE_DIRS})
#MESSAGE("GLIB2:   ${GLIB2_INCLUDE_DIRS}")

#pkg_search_module(PANGO REQUIRED pango)
#pkg_search_module(CAIRO REQUIRED cairo)
#pkg_search_module(FTYPE2 REQUIRED freetype2)
#pkg_search_module(GIO2 REQUIRED gio-unix-2.0)
#pkg_search_module(GDK3 REQUIRED gdk-3.0)
#pkg_search_module(ATK REQUIRED atk)
#pkg_search_module(HARFB REQUIRED harfbuzz)

pkg_search_module(GTK3 REQUIRED gtk+-3.0)
INCLUDE_DIRECTORIES(${GTK3_INCLUDE_DIRS})
#MESSAGE("GTK3:    ${GTK3_INCLUDE_DIRS}")
#MESSAGE("GTK3:    ${GTK3_FOUND}")
#MESSAGE("GTK3:    ${GTK3_LIBRARIES}")
#MESSAGE("GTK3:    ${GTK3_LIBRARY_DIRS}")
#MESSAGE("GTK3:    ${GTK3_LDFLAGS}")
#MESSAGE("GTK3:    ${GTK3_LDFLAGS_OTHER}")
#MESSAGE("GTK3:    ${GTK3_CFLAGS}")
#MESSAGE("GTK3:    ${GTK3_CFLAGS_OTHER}")

FILE(GLOB commonSource gui/source/*.c
                       gui/source/sketch_area/*.c
                       trace/source/*.c
                       ctrl/source/*.c
                       data/source/*.c
                       data/source/storage/*.c
                       data/source/set/*.c
                       utf8stringbuf/source/util/string/*.c
                       universal/source/stream/*.c
                       pencil/source/*.c
                       pencil/source/util/geometry/*.c
                       pencil/source/draw/*.c
                       io/source/*.c
                       io/source/image/*.c
                       io/source/json/*.c
                       io/source/xml/*.c
                       io/source/txt/*.c
                       io/source/xmi/*.c
                       io/source/md/*.c)
FILE(GLOB appSource    main/source/*.c)
FILE(GLOB utestSource  main/unittest/*.c
                       data/unittest/*.c
                       ctrl/unittest/*.c
                       gui/unittest/*.c
                       io/unittest/*.c
                       pencil/unittest/*.c
                       universal/unittest/*.c
                       utf8stringbuf/unittest/*.c)

# ==== ==== ==== ==== ==== ==== ==== ==== C-Code crystal_facet_uml Compiler Settings ==== ==== ==== ==== ==== ==== ==== ====

if(NOT CMAKE_BUILD_TYPE)
  message( "Warn: CMAKE_BUILD_TYPE no set!                 setting(CMAKE_BUILD_TYPE \"Release\")")
  set(CMAKE_BUILD_TYPE "Release")
endif(NOT CMAKE_BUILD_TYPE)
MESSAGE( "Note:                                          CMAKE_BUILD_TYPE = ${CMAKE_BUILD_TYPE}" )
#MESSAGE( "Note:                                          CMAKE_CURRENT_SOURCE_DIR = ${CMAKE_CURRENT_SOURCE_DIR}" )
#MESSAGE( "Note:                                          CMAKE_BUILD_DIR = ${CMAKE_BUILD_DIR}" )
MESSAGE( "Note: to build a release, run                  cmake -DCMAKE_BUILD_TYPE=Release " ${CMAKE_CURRENT_SOURCE_DIR} )
MESSAGE( "Note: to build with asserts and traces, run    cmake -DCMAKE_BUILD_TYPE=Debug " ${CMAKE_CURRENT_SOURCE_DIR} )
MESSAGE( "Note: then, to build using 4 cores, run        make -j4" )
MESSAGE( "Note: to install, run                          sudo make install" )

SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=c11 -D_XOPEN_SOURCE=700 -O2 -pedantic -g -Wformat -Werror=format-security -Wall -Wno-overlength-strings ${GTK3_CFLAGS_OTHER}" )
# Note: The GIMP-generated images are longer that 4095 characters, therefore -Wno-overlength-strings is required here.

# ==== ==== ==== ==== ==== ==== ==== ==== C-Code crystal_facet_uml Linker Settings ==== ==== ==== ==== ==== ==== ==== ====

ADD_EXECUTABLE(crystal_facet_uml ${appSource} ${commonSource} ${COMPILE_IN_SOURCE_FILE})
TARGET_LINK_LIBRARIES(crystal_facet_uml ${GTK3_LIBRARIES} ${GLIB2_LIBRARIES} ${SQLITE3_LIBRARIES} m)
SET_TARGET_PROPERTIES(crystal_facet_uml PROPERTIES LINKER_LANGUAGE C)

# ==== ==== ==== ==== ==== ==== ==== ==== C-Code unittest Compiler Settings ==== ==== ==== ==== ==== ==== ==== ====

# for test cases, be less restrictive with errors.
SET(CMAKE_C_FLAGS "-std=c11 -D_XOPEN_SOURCE=700 -O2 -pedantic -g -Wformat -Wall -Wno-overlength-strings ${GTK3_CFLAGS_OTHER}" )
# Note: The GIMP-generated images are longer that 4095 characters, therefore -Wno-overlength-strings is required here.

# ==== ==== ==== ==== ==== ==== ==== ==== C-Code unittest Linker Settings ==== ==== ==== ==== ==== ==== ==== ====

ADD_EXECUTABLE(unittest_crystal_facet_uml ${utestSource} ${commonSource} ${COMPILE_IN_SOURCE_FILE})
TARGET_INCLUDE_DIRECTORIES(unittest_crystal_facet_uml PUBLIC test_fw/include)
TARGET_INCLUDE_DIRECTORIES(unittest_crystal_facet_uml PUBLIC data/unittest)
TARGET_INCLUDE_DIRECTORIES(unittest_crystal_facet_uml PUBLIC ctrl/unittest)
TARGET_INCLUDE_DIRECTORIES(unittest_crystal_facet_uml PUBLIC gui/unittest)
TARGET_INCLUDE_DIRECTORIES(unittest_crystal_facet_uml PUBLIC io/unittest)
TARGET_INCLUDE_DIRECTORIES(unittest_crystal_facet_uml PUBLIC pencil/unittest)
TARGET_INCLUDE_DIRECTORIES(unittest_crystal_facet_uml PUBLIC universal/unittest)
TARGET_INCLUDE_DIRECTORIES(unittest_crystal_facet_uml PUBLIC utf8stringbuf/unittest)
TARGET_LINK_LIBRARIES(unittest_crystal_facet_uml ${GTK3_LIBRARIES} ${GLIB2_LIBRARIES} ${SQLITE3_LIBRARIES} m)
SET_TARGET_PROPERTIES(unittest_crystal_facet_uml PROPERTIES LINKER_LANGUAGE C)

# ==== ==== ==== ==== ==== ==== ==== ==== Documentation Build Settings ==== ==== ==== ==== ==== ==== ==== ====

MESSAGE( "Note: update the user docs via 'cd user_doc && make' before running make install")

# ==== ==== ==== ==== ==== ==== ==== ==== Install Settings ==== ==== ==== ==== ==== ==== ==== ====

INSTALL(TARGETS crystal_facet_uml DESTINATION "/usr/bin/")
INSTALL(FILES "${CMAKE_CURRENT_SOURCE_DIR}/installation_linux/config/crystal_facet_uml.desktop" DESTINATION "/usr/share/applications/")
INSTALL(FILES "${CMAKE_CURRENT_SOURCE_DIR}/gui/source/resources/crystal_facet_uml_80x80.png" DESTINATION "/usr/share/pixmaps/" RENAME "crystal_facet_uml.png")
INSTALL(FILES "${CMAKE_CURRENT_SOURCE_DIR}/user_doc/crystal_facet_uml.1.gz" DESTINATION "/usr/share/man/man1/")

=== user_doc/Makefile ===
all: crystal_facet_uml_user_documentation.pdf html crystal_facet_uml.1.gz

crystal_facet_uml_user_documentation.pdf: doc/*.xml doc/2_feature_gallery_export/*.pdf doc/*.pdf doc/*.png
	cd doc &&\
	dblatex --type=pdf crystal_facet_uml_user_documentation.xml &&\
	cd .. &&\
	mv doc/crystal_facet_uml_user_documentation.pdf .

html: doc/*.xml doc/2_feature_gallery_export/*.png doc/*.png
	xmlto --stringparam html.stylesheet=html.css -o html/ xhtml doc/crystal_facet_uml_user_documentation.xml &&\
	echo relocate image files &&\
	cd doc &&\
	cat *.xml | grep -e 'fileref.*png' | sed -e 's/^[^"]*"\([^"]*\)".*/\1/' | xargs cp --target-directory=../html &&\
	cp html.css ../html &&\
	cd .. &&\
	find html -name '*.html' | xargs sed -i -e 's/\.\.\/\.\.\/gui\/source\/resources\///g' &&\
	find html -name '*.html' | xargs sed -i -e 's/2_feature_gallery_export\///g'

# xmlto chosen:
# daps exists only on opensuse, not on ubuntu
# pandoc is not fit with xinclude and drops the images (at least when i tried to use it in 2018)

MAN_STYLESHEET_ROOT=`find /usr/share/xml/docbook/stylesheet -name manpages`
#MAN_STYLESHEET_0="/usr/share/xml/docbook/stylesheet/nwalsh/1.78.1/manpages/docbook.xsl"
#MAN_STYLESHEET_1="/usr/share/xml/docbook/stylesheet/suse/manpages/docbook.xsl"
#MAN_STYLESHEET_2="/usr/share/xml/docbook/stylesheet/docbook-xsl/manpages/docbook.xsl"
MANPAGE_FILE="crystal_facet_uml.1"

crystal_facet_uml.1.gz: doc/manpage.xml doc/1_non_tech_intro_para.xml
	rm -f ${MANPAGE_FILE}.gz ${MAPGAPE_FILE}i &&\
	if [ -e "${MAN_STYLESHEET_ROOT}/docbook.xsl" ] ; then\
	  echo "using ${MAN_STYLESHEET_ROOT}/docbook.xsl ...\n" &&\
	  xsltproc --nonet --param man.charmap.use.subset "0" --xinclude "${MAN_STYLESHEET_ROOT}/docbook.xsl" doc/manpage.xml &&\
	  gzip --quiet ${MANPAGE_FILE} ;\
	else \
	  echo "ERROR: find an appropriate xsl file for the manapge at /usr/share/xml/docbook/stylesheet" ;\
	fi &&\
        echo "to view the output, gunzip --keep ${MANPAGE_FILE}.gz && man --local-file ${MANPAGE_FILE}"

clean:
	rm -f crystal_facet_uml_user_documentation.pdf &&\
	rm -f crystal_facet_uml_installation_win.pdf &&\
	rm -fr html &&\
	rm -f ${MANPAGE_FILE}.gz

=== debian/changelog ===
crystal-facet-uml (1.25.1-1) unstable; urgency=medium

  [ Andreas Warnke ]
  * cmake does not depend on c++ compiler anymore
  * hardening activated, includes elf-pie feature
  * yamllint deactivated for ci
  * build artifacts of ci adapted to make them accessible by test stage

  [ Mike Gabriel ]
  * Initial upload to Debian. (Closes: #928087).
  * GitLab CI: move .gitlab-ci.yml to debian/salsa-ci.yml.
  * debian/control:
    + Add Rules-Requires-Root: field and set it to 'no'.
    + Bump to DH compat level version 13.
    + Rework SYNOPSIS and LONG_DESCRIPTION (to make lintian happy).
    + Bump Standards-Version: to 4.5.0. No changes needed.
  * debian/rules:
    + Don't set DEB_LDFLAGS_MAINT_APPEND with -Wl,--as-needed. It's now the
      default.
  * debian/copyright:
    + Update copyright attributions.
  * debian/patches:
    + Add 1001_fix-typo.patch. Grammar fixes in application messages.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 02 Nov 2020 09:22:50 +0100

crystal-facet-uml (1.25.0-2) UNRELEASED; urgency=medium

  [ Andreas Warnke ]
  * yml script for ci added

 -- Andreas Warnke <cfu@andreaswarnke.de>  Wed, 28 Oct 2020 07:40:00 +0100

crystal-facet-uml (1.25.0-1) UNRELEASED; urgency=medium

  [ Andreas Warnke ]
  * moving ports follow the cursor more accurate
  * Constraint Blocks show their ports completely inside
  * Artifacts and Components do not waste space for contained children
  * Comment titles do not overlap with the comment-corner
  * packages containing children display their title in the tab-symbol
  * layouting containments does not reserve columns/rows for the container
  * Feature/Composite Requirement does not exist anymore,
    data from older versions is auto-converted to Requirement
  * Requirements are displyed as box-with-label omitting the description
  * Interaction Overview Diagram is redesigned,
    data from older versions is auto-converted to Activity Diagram

 -- Andreas Warnke <cfu@andreaswarnke.de>  Sun, 18 Oct 2020 20:30:00 +0200

crystal-facet-uml (1.24.0-1) UNRELEASED; urgency=medium

  [ Andreas Warnke ]
  * XMI(TM) export reflects containment-hierarcy of elements
  * XMI(TM) export automatically disambiguates between activity/state contexts
  * warnings are printed to xml export if model is not uml compliant
  * no arrow tip at communication path
  * export shows statistics on diagrams or classifiers
  * internal: messages to user are typesafe for their parameters

 -- Andreas Warnke <cfu@andreaswarnke.de>  Thu, 08 Oct 2020 20:30:00 +0200

crystal-facet-uml (1.23.1-1) UNRELEASED; urgency=medium

  [ Andreas Warnke ]
  * XMI(TM) export good enough to be checked by NIST validator

 -- Andreas Warnke <cfu@andreaswarnke.de>  Sun, 06 Sep 2020 11:30:00 +0200

crystal-facet-uml (1.23.0-1) UNRELEASED; urgency=medium

  [ Andreas Warnke ]
  * at operations cut, copy, paste and delete: print understandable statistics
  * at operations undo, redo: print understandable statistics
  * layouting of classifiers improved
  * experimental xmi export

 -- Andreas Warnke <cfu@andreaswarnke.de>  Mon, 15 Jun 2020 11:30:00 +0200

crystal-facet-uml (1.22.0-1) UNRELEASED; urgency=medium

  [ Andreas Warnke ]
  * the xhtml export produces a table-of-contents
  * the xhtml+db exports generate links to diagrams by D0001#name.
  * the element configuration area on the right does not take space needed
    by the drawing area
  * yellow highlighted names are drawn behind the classifier-contour-line

 -- Andreas Warnke <cfu@andreaswarnke.de>  Fri, 01 May 2020 17:30:00 +0200

crystal-facet-uml (1.21.0-1) UNRELEASED; urgency=medium

  [ Andreas Warnke ]
  * containers embrace their children keeping wider gaps

 -- Andreas Warnke <cfu@andreaswarnke.de>  Sun, 12 Apr 2020 16:30:00 +0200

crystal-facet-uml (1.20.0-1) UNRELEASED; urgency=medium

  [ Andreas Warnke ]
  * xhtml output generates a css file to allow defining own color schemes
  * xhtml output keeps linebreaks in selected (md) cases
  * bugfix: exporting docbook and xhtml via command line arguments
    works again, as in 1.16.1 (Closes: #1)
  * exported xhtml passes https://validator.w3.org/check (for quality.cfu1)
  * exported xhtml/css shows chapter numbers

 -- Andreas Warnke <cfu@andreaswarnke.de>  Mon, 23 Mar 2020 18:30:00 +0100

crystal-facet-uml (1.19.0-1) UNRELEASED; urgency=medium

  [ Andreas Warnke ]
  * free text search
  * small memory leak in nav-tree-view fixed

 -- Andreas Warnke <cfu@andreaswarnke.de>  Sat, 14 Mar 2020 12:30:00 +0100

crystal-facet-uml (1.18.1-1) UNRELEASED; urgency=medium

  [ Andreas Warnke ]
  * when exporting xhtml and docbook files, windows pathnames are supported

 -- Andreas Warnke <cfu@andreaswarnke.de>  Mon, 20 Jan 2020 21:30:00 +0100

crystal-facet-uml (1.18.0-1) UNRELEASED; urgency=medium

  [ Andreas Warnke ]
  * the search view allows one to search for object ids
  * bugfix: when changing type of an object, lastest changes to name
    or description are not lost
  * pressing enter in name or stereotype field causes a save action

 -- Andreas Warnke <cfu@andreaswarnke.de>  Sun, 19 Jan 2020 20:30:00 +0100

crystal-facet-uml (1.17.0-1) UNRELEASED; urgency=medium

  [ Andreas Warnke ]
  * cmake build config is less platform dependent
  * nav-tree: dragging diagrams shows a tree-depth aware insert line
  * while dragging, grid lines are displayed
  * the description text-view has scrollbars
  * in nav view, a click into the current diagram zooms to edit mode
  * in create view, an icon next to the mouse cursor shows options
  * fix: type dropdown box does not change DB automatically if unknown type id
  * the type drop down box shows icons to faster find the right type
  * an icon grid allows one to change types quickly

 -- Andreas Warnke <cfu@andreaswarnke.de>  Sun, 05 Jan 2020 20:30:00 +0100

crystal-facet-uml (1.16.2-1) UNRELEASED; urgency=medium

  [ Andreas Warnke ]
  * relationships may overlap if same type and same direction


=== debian/control ===
Source: crystal-facet-uml
Section: devel
Priority: optional
Maintainer: Andreas Warnke <cfu@andreaswarnke.de>
Uploaders:
 Debian Edu Packaging Team <debian-edu-pkg-team@lists.alioth.debian.org>,
 Mike Gabriel <sunweaver@debian.org>,
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 libgtk-3-dev,
 libsqlite3-dev,
Standards-Version: 4.5.0
Homepage: http://andreaswarnke.de/crystal_facet_uml/html/index.html
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/debian-edu-pkg-team/crystal-facet-uml.git
Vcs-Browser: https://salsa.debian.org/debian-edu-pkg-team/crystal-facet-uml/

Package: crystal-facet-uml
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: Diagram documentation tool for system and software architecture
 crystal_facet_uml creates sysml/uml diagrams to document system and
 software architecture.
 .
 As software architect, you create a set of diagrams describing
 use-cases, requirements, structural views, behavioral and deployment
 views. crystal_facet_uml keeps element names and element hierarchies
 consistent. It exports diagrams in svg, pdf, ps and png formats to be
 used in text processing systems like DocBook, html, LaTeX.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
export DH_VERBOSE = 1


# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic

%:
	dh $@

override_dh_auto_configure:
	#dh_auto_configure -- #	-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH)
	cmake -G 'Unix Makefiles' \
	    -DCMAKE_INSTALL_PREFIX=/usr \
	    -DCMAKE_VERBOSE_MAKEFILE:BOOL=TRUE \
	    -DCMAKE_BUILD_TYPE=Release
	DEB_BUILD_HARDENING=1 make VERBOSE=1

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

## crystal-facet-uml 1.26.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -35,14 +35,6 @@
 INCLUDE_DIRECTORIES(${GLIB2_INCLUDE_DIRS})
 #MESSAGE("GLIB2:   ${GLIB2_INCLUDE_DIRS}")
 
-#pkg_search_module(PANGO REQUIRED pango)
-#pkg_search_module(CAIRO REQUIRED cairo)
-#pkg_search_module(FTYPE2 REQUIRED freetype2)
-#pkg_search_module(GIO2 REQUIRED gio-unix-2.0)
-#pkg_search_module(GDK3 REQUIRED gdk-3.0)
-#pkg_search_module(ATK REQUIRED atk)
-#pkg_search_module(HARFB REQUIRED harfbuzz)
-
 pkg_search_module(GTK3 REQUIRED gtk+-3.0)
 INCLUDE_DIRECTORIES(${GTK3_INCLUDE_DIRS})
 #MESSAGE("GTK3:    ${GTK3_INCLUDE_DIRS}")
@@ -53,6 +45,9 @@
 #MESSAGE("GTK3:    ${GTK3_LDFLAGS_OTHER}")
 #MESSAGE("GTK3:    ${GTK3_CFLAGS}")
 #MESSAGE("GTK3:    ${GTK3_CFLAGS_OTHER}")
+
+pkg_search_module(PANGOCAIRO REQUIRED pangocairo)
+INCLUDE_DIRECTORIES(${PANGOCAIRO_INCLUDE_DIRS})
 
 FILE(GLOB commonSource gui/source/*.c
                        gui/source/sketch_area/*.c
@@ -94,23 +89,23 @@
 #MESSAGE( "Note:                                          CMAKE_BUILD_DIR = ${CMAKE_BUILD_DIR}" )
 MESSAGE( "Note: to build a release, run                  cmake -DCMAKE_BUILD_TYPE=Release " ${CMAKE_CURRENT_SOURCE_DIR} )
 MESSAGE( "Note: to build with asserts and traces, run    cmake -DCMAKE_BUILD_TYPE=Debug " ${CMAKE_CURRENT_SOURCE_DIR} )
-MESSAGE( "Note: then, to build using 4 cores, run        make -j4" )
+MESSAGE( "Note: then, to build, run                      make -j4" )
 MESSAGE( "Note: to install, run                          sudo make install" )
 
-SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=c11 -D_XOPEN_SOURCE=700 -O2 -pedantic -g -Wformat -Werror=format-security -Wall -Wno-overlength-strings ${GTK3_CFLAGS_OTHER}" )
+SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=c11 -D_XOPEN_SOURCE=700 -O2 -pedantic -g -Wall -Werror -Wall -Wno-overlength-strings ${GTK3_CFLAGS_OTHER}" )
 # Note: The GIMP-generated images are longer that 4095 characters, therefore -Wno-overlength-strings is required here.
 
 # ==== ==== ==== ==== ==== ==== ==== ==== C-Code crystal_facet_uml Linker Settings ==== ==== ==== ==== ==== ==== ==== ====
 
 ADD_EXECUTABLE(crystal_facet_uml ${appSource} ${commonSource} ${COMPILE_IN_SOURCE_FILE})
-TARGET_LINK_LIBRARIES(crystal_facet_uml ${GTK3_LIBRARIES} ${GLIB2_LIBRARIES} ${SQLITE3_LIBRARIES} m)
+TARGET_LINK_LIBRARIES(crystal_facet_uml ${GTK3_LIBRARIES} ${GLIB2_LIBRARIES} ${PANGOCAIRO_LIBRARIES} ${SQLITE3_LIBRARIES} m)
 SET_TARGET_PROPERTIES(crystal_facet_uml PROPERTIES LINKER_LANGUAGE C)
 
 # ==== ==== ==== ==== ==== ==== ==== ==== C-Code unittest Compiler Settings ==== ==== ==== ==== ==== ==== ==== ====
 
 # for test cases, be less restrictive with errors.
-SET(CMAKE_C_FLAGS "-std=c11 -D_XOPEN_SOURCE=700 -O2 -pedantic -g -Wformat -Wall -Wno-overlength-strings ${GTK3_CFLAGS_OTHER}" )
-# Note: The GIMP-generated images are longer that 4095 characters, therefore -Wno-overlength-strings is required here.
+SET(CMAKE_C_FLAGS "-std=c11 -D_XOPEN_SOURCE=700 -O2 -pedantic -g -Wall -Wno-overlength-strings ${GTK3_CFLAGS_OTHER}" )
+# Note: The GIMP-generated images are longer that 4095 characters, therefore -Wno-overlength-strings is needed here.
 
 # ==== ==== ==== ==== ==== ==== ==== ==== C-Code unittest Linker Settings ==== ==== ==== ==== ==== ==== ==== ====
 
@@ -123,7 +118,7 @@
 TARGET_INCLUDE_DIRECTORIES(unittest_crystal_facet_uml PUBLIC pencil/unittest)
 TARGET_INCLUDE_DIRECTORIES(unittest_crystal_facet_uml PUBLIC universal/unittest)
 TARGET_INCLUDE_DIRECTORIES(unittest_crystal_facet_uml PUBLIC utf8stringbuf/unittest)
-TARGET_LINK_LIBRARIES(unittest_crystal_facet_uml ${GTK3_LIBRARIES} ${GLIB2_LIBRARIES} ${SQLITE3_LIBRARIES} m)
+TARGET_LINK_LIBRARIES(unittest_crystal_facet_uml ${GTK3_LIBRARIES} ${GLIB2_LIBRARIES} ${PANGOCAIRO_LIBRARIES} ${SQLITE3_LIBRARIES} m)
 SET_TARGET_PROPERTIES(unittest_crystal_facet_uml PROPERTIES LINKER_LANGUAGE C)
 
 # ==== ==== ==== ==== ==== ==== ==== ==== Documentation Build Settings ==== ==== ==== ==== ==== ==== ==== ====

=== debian/changelog ===
crystal-facet-uml (1.26.0-1) unstable; urgency=medium

  [ Andreas Warnke ]
  * New upstream release.

  [ Helmut Grohne ]
  * debian/rules:
    + Fix FTCBFS: Let dh_auto_configure pass cross flags to cmake. (Closes:
      #973980).

  [ Mike Gabriel ]
  * debian/control:
    + Bump Standards-Version: to 4.5.1. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 23 Nov 2020 12:47:40 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  debhelper-compat (= 13),
  libgtk-3-dev,
  libsqlite3-dev,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: http://andreaswarnke.de/crystal_facet_uml/html/index.html
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian-edu-pkg-team/crystal-facet-uml.git

=== debian/watch ===
version=3
opts=filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/crystal-facet-uml-$1.tar.gz/ \
https://github.com/awarnke/crystal_facet_uml/tags .*/archive/v?([\d\.]+).tar.gz

## crystal-facet-uml 1.26.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-PROJECT(crystal_facet_uml LANGUAGES C)
+PROJECT(crystal-facet-uml LANGUAGES C)
 CMAKE_MINIMUM_REQUIRED(VERSION 3.0)
 
 #helper to find include directories and libraries:
@@ -10,7 +10,7 @@
 set(COMPILE_IN_SOURCE_FILE "" CACHE FILEPATH "Path to additional source file, e.g. sqlite3.c")
 INCLUDE_DIRECTORIES(${COMPILE_IN_INCLUDE_DIR})
 
-# crystal_facet_uml
+# crystal-facet-uml
 
 INCLUDE_DIRECTORIES(gui/include)
 INCLUDE_DIRECTORIES(main/include)
@@ -48,6 +48,7 @@
 
 pkg_search_module(PANGOCAIRO REQUIRED pangocairo)
 INCLUDE_DIRECTORIES(${PANGOCAIRO_INCLUDE_DIRS})
+#MESSAGE("PANGOCAIRO: ${PANGOCAIRO_INCLUDE_DIRS}")
 
 FILE(GLOB commonSource gui/source/*.c
                        gui/source/sketch_area/*.c
@@ -78,7 +79,7 @@
                        universal/unittest/*.c
                        utf8stringbuf/unittest/*.c)
 
-# ==== ==== ==== ==== ==== ==== ==== ==== C-Code crystal_facet_uml Compiler Settings ==== ==== ==== ==== ==== ==== ==== ====
+# ==== ==== ==== ==== ==== ==== ==== ==== C-Code crystal-facet-uml Compiler Settings ==== ==== ==== ==== ==== ==== ==== ====
 
 if(NOT CMAKE_BUILD_TYPE)
   message( "Warn: CMAKE_BUILD_TYPE no set!                 setting(CMAKE_BUILD_TYPE \"Release\")")
@@ -92,14 +93,14 @@
 MESSAGE( "Note: then, to build, run                      make -j4" )
 MESSAGE( "Note: to install, run                          sudo make install" )
 
-SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=c11 -D_XOPEN_SOURCE=700 -O2 -pedantic -g -Wall -Werror -Wall -Wno-overlength-strings ${GTK3_CFLAGS_OTHER}" )
+SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=c11 -D_XOPEN_SOURCE=700 -O2 -pedantic -g -Wall -Werror -Wno-overlength-strings ${GTK3_CFLAGS_OTHER}" )
 # Note: The GIMP-generated images are longer that 4095 characters, therefore -Wno-overlength-strings is required here.
 
-# ==== ==== ==== ==== ==== ==== ==== ==== C-Code crystal_facet_uml Linker Settings ==== ==== ==== ==== ==== ==== ==== ====
+# ==== ==== ==== ==== ==== ==== ==== ==== C-Code crystal-facet-uml Linker Settings ==== ==== ==== ==== ==== ==== ==== ====
 
-ADD_EXECUTABLE(crystal_facet_uml ${appSource} ${commonSource} ${COMPILE_IN_SOURCE_FILE})
-TARGET_LINK_LIBRARIES(crystal_facet_uml ${GTK3_LIBRARIES} ${GLIB2_LIBRARIES} ${PANGOCAIRO_LIBRARIES} ${SQLITE3_LIBRARIES} m)
-SET_TARGET_PROPERTIES(crystal_facet_uml PROPERTIES LINKER_LANGUAGE C)
+ADD_EXECUTABLE(crystal-facet-uml ${appSource} ${commonSource} ${COMPILE_IN_SOURCE_FILE})
+TARGET_LINK_LIBRARIES(crystal-facet-uml ${GTK3_LIBRARIES} ${GLIB2_LIBRARIES} ${PANGOCAIRO_LIBRARIES} ${SQLITE3_LIBRARIES} m)
+SET_TARGET_PROPERTIES(crystal-facet-uml PROPERTIES LINKER_LANGUAGE C)
 
 # ==== ==== ==== ==== ==== ==== ==== ==== C-Code unittest Compiler Settings ==== ==== ==== ==== ==== ==== ==== ====
 
@@ -109,17 +110,17 @@
 
 # ==== ==== ==== ==== ==== ==== ==== ==== C-Code unittest Linker Settings ==== ==== ==== ==== ==== ==== ==== ====
 
-ADD_EXECUTABLE(unittest_crystal_facet_uml ${utestSource} ${commonSource} ${COMPILE_IN_SOURCE_FILE})
-TARGET_INCLUDE_DIRECTORIES(unittest_crystal_facet_uml PUBLIC test_fw/include)
-TARGET_INCLUDE_DIRECTORIES(unittest_crystal_facet_uml PUBLIC data/unittest)
-TARGET_INCLUDE_DIRECTORIES(unittest_crystal_facet_uml PUBLIC ctrl/unittest)
-TARGET_INCLUDE_DIRECTORIES(unittest_crystal_facet_uml PUBLIC gui/unittest)
-TARGET_INCLUDE_DIRECTORIES(unittest_crystal_facet_uml PUBLIC io/unittest)
-TARGET_INCLUDE_DIRECTORIES(unittest_crystal_facet_uml PUBLIC pencil/unittest)
-TARGET_INCLUDE_DIRECTORIES(unittest_crystal_facet_uml PUBLIC universal/unittest)
-TARGET_INCLUDE_DIRECTORIES(unittest_crystal_facet_uml PUBLIC utf8stringbuf/unittest)
-TARGET_LINK_LIBRARIES(unittest_crystal_facet_uml ${GTK3_LIBRARIES} ${GLIB2_LIBRARIES} ${PANGOCAIRO_LIBRARIES} ${SQLITE3_LIBRARIES} m)
-SET_TARGET_PROPERTIES(unittest_crystal_facet_uml PROPERTIES LINKER_LANGUAGE C)
+ADD_EXECUTABLE(test_crystal-facet-uml ${utestSource} ${commonSource} ${COMPILE_IN_SOURCE_FILE})
+TARGET_INCLUDE_DIRECTORIES(test_crystal-facet-uml PUBLIC test_fw/include)
+TARGET_INCLUDE_DIRECTORIES(test_crystal-facet-uml PUBLIC data/unittest)
+TARGET_INCLUDE_DIRECTORIES(test_crystal-facet-uml PUBLIC ctrl/unittest)
+TARGET_INCLUDE_DIRECTORIES(test_crystal-facet-uml PUBLIC gui/unittest)
+TARGET_INCLUDE_DIRECTORIES(test_crystal-facet-uml PUBLIC io/unittest)
+TARGET_INCLUDE_DIRECTORIES(test_crystal-facet-uml PUBLIC pencil/unittest)
+TARGET_INCLUDE_DIRECTORIES(test_crystal-facet-uml PUBLIC universal/unittest)
+TARGET_INCLUDE_DIRECTORIES(test_crystal-facet-uml PUBLIC utf8stringbuf/unittest)
+TARGET_LINK_LIBRARIES(test_crystal-facet-uml ${GTK3_LIBRARIES} ${GLIB2_LIBRARIES} ${PANGOCAIRO_LIBRARIES} ${SQLITE3_LIBRARIES} m)
+SET_TARGET_PROPERTIES(test_crystal-facet-uml PROPERTIES LINKER_LANGUAGE C)
 
 # ==== ==== ==== ==== ==== ==== ==== ==== Documentation Build Settings ==== ==== ==== ==== ==== ==== ==== ====
 
@@ -127,9 +128,10 @@
 
 # ==== ==== ==== ==== ==== ==== ==== ==== Install Settings ==== ==== ==== ==== ==== ==== ==== ====
 
-INSTALL(TARGETS crystal_facet_uml DESTINATION "/usr/bin/")
-INSTALL(FILES "${CMAKE_CURRENT_SOURCE_DIR}/installation_linux/config/crystal_facet_uml.desktop" DESTINATION "/usr/share/applications/")
-INSTALL(FILES "${CMAKE_CURRENT_SOURCE_DIR}/gui/source/resources/crystal_facet_uml_80x80.png" DESTINATION "/usr/share/pixmaps/" RENAME "crystal_facet_uml.png")
-INSTALL(FILES "${CMAKE_CURRENT_SOURCE_DIR}/user_doc/crystal_facet_uml.1.gz" DESTINATION "/usr/share/man/man1/")
+INSTALL(TARGETS crystal-facet-uml DESTINATION "/usr/bin/")
+INSTALL(FILES "${CMAKE_CURRENT_SOURCE_DIR}/installation_linux/crystal-facet-uml.desktop" DESTINATION "/usr/share/applications/")
+INSTALL(FILES "${CMAKE_CURRENT_SOURCE_DIR}/installation_linux/crystal-facet-uml.metainfo.xml" DESTINATION "/usr/share/metainfo/")
+INSTALL(FILES "${CMAKE_CURRENT_SOURCE_DIR}/gui/source/resources/crystal_facet_uml_80x80.png" DESTINATION "/usr/share/pixmaps/" RENAME "crystal-facet-uml.png")
+INSTALL(FILES "${CMAKE_CURRENT_SOURCE_DIR}/user_doc/crystal-facet-uml.1.gz" DESTINATION "/usr/share/man/man1/")

=== debian/changelog ===
crystal-facet-uml (1.26.1-1) unstable; urgency=medium

  [ Andreas Warnke ]
  * New upstream release.
  * debian/*:
    + Program renamed from crystal_facet_uml to crystal-facet-uml.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 22 Dec 2020 23:13:17 +0100

## crystal-facet-uml 1.27.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,12 +2,12 @@
 CMAKE_MINIMUM_REQUIRED(VERSION 3.0)
 
 #helper to find include directories and libraries:
-find_package(PkgConfig REQUIRED)
+FIND_PACKAGE(PkgConfig REQUIRED)
 
 # ==== ==== ==== ==== ==== ==== ==== ==== Build Environment Settings ==== ==== ==== ==== ==== ==== ==== ====
 
-set(COMPILE_IN_INCLUDE_DIR "" CACHE FILEPATH "Path to additional include directory")
-set(COMPILE_IN_SOURCE_FILE "" CACHE FILEPATH "Path to additional source file, e.g. sqlite3.c")
+SET(COMPILE_IN_INCLUDE_DIR "" CACHE FILEPATH "Path to additional include directory")
+SET(COMPILE_IN_SOURCE_FILE "" CACHE FILEPATH "Path to additional source file, e.g. sqlite3.c")
 INCLUDE_DIRECTORIES(${COMPILE_IN_INCLUDE_DIR})
 
 # crystal-facet-uml
@@ -25,17 +25,17 @@
 
 #sqlite3 dependencies
 
-pkg_search_module(SQLITE3 REQUIRED sqlite3)
+PKG_SEARCH_MODULE(SQLITE3 REQUIRED sqlite3)
 INCLUDE_DIRECTORIES(${SQLITE3_INCLUDE_DIRS})
 #MESSAGE("SQLITE3: ${SQLITE3_INCLUDE_DIRS}")
 
 #gtk3 dependencies
 
-pkg_search_module(GLIB2 REQUIRED glib-2.0)
+PKG_SEARCH_MODULE(GLIB2 REQUIRED glib-2.0)
 INCLUDE_DIRECTORIES(${GLIB2_INCLUDE_DIRS})
 #MESSAGE("GLIB2:   ${GLIB2_INCLUDE_DIRS}")
 
-pkg_search_module(GTK3 REQUIRED gtk+-3.0)
+PKG_SEARCH_MODULE(GTK3 REQUIRED gtk+-3.0)
 INCLUDE_DIRECTORIES(${GTK3_INCLUDE_DIRS})
 #MESSAGE("GTK3:    ${GTK3_INCLUDE_DIRS}")
 #MESSAGE("GTK3:    ${GTK3_FOUND}")
@@ -46,7 +46,7 @@
 #MESSAGE("GTK3:    ${GTK3_CFLAGS}")
 #MESSAGE("GTK3:    ${GTK3_CFLAGS_OTHER}")
 
-pkg_search_module(PANGOCAIRO REQUIRED pangocairo)
+PKG_SEARCH_MODULE(PANGOCAIRO REQUIRED pangocairo)
 INCLUDE_DIRECTORIES(${PANGOCAIRO_INCLUDE_DIRS})
 #MESSAGE("PANGOCAIRO: ${PANGOCAIRO_INCLUDE_DIRS}")
 
@@ -70,7 +70,7 @@
                        io/source/xmi/*.c
                        io/source/md/*.c)
 FILE(GLOB appSource    main/source/*.c)
-FILE(GLOB utestSource  main/unittest/*.c
+FILE(GLOB utestSource  main/test/*.c
                        data/unittest/*.c
                        ctrl/unittest/*.c
                        gui/unittest/*.c
@@ -79,36 +79,28 @@
                        universal/unittest/*.c
                        utf8stringbuf/unittest/*.c)
 
-# ==== ==== ==== ==== ==== ==== ==== ==== C-Code crystal-facet-uml Compiler Settings ==== ==== ==== ==== ==== ==== ==== ====
+# ==== ==== ==== ==== ==== ==== ==== ==== Check if CMAKE_BUILD_TYPE is set ==== ==== ==== ==== ==== ==== ==== ====
 
-if(NOT CMAKE_BUILD_TYPE)
-  message( "Warn: CMAKE_BUILD_TYPE no set!                 setting(CMAKE_BUILD_TYPE \"Release\")")
-  set(CMAKE_BUILD_TYPE "Release")
-endif(NOT CMAKE_BUILD_TYPE)
+IF(NOT CMAKE_BUILD_TYPE)
+  MESSAGE( "Warn: CMAKE_BUILD_TYPE no set!                 setting(CMAKE_BUILD_TYPE \"Release\")")
+  SET(CMAKE_BUILD_TYPE "Release")
+ENDIF(NOT CMAKE_BUILD_TYPE)
 MESSAGE( "Note:                                          CMAKE_BUILD_TYPE = ${CMAKE_BUILD_TYPE}" )
-#MESSAGE( "Note:                                          CMAKE_CURRENT_SOURCE_DIR = ${CMAKE_CURRENT_SOURCE_DIR}" )
-#MESSAGE( "Note:                                          CMAKE_BUILD_DIR = ${CMAKE_BUILD_DIR}" )
 MESSAGE( "Note: to build a release, run                  cmake -DCMAKE_BUILD_TYPE=Release " ${CMAKE_CURRENT_SOURCE_DIR} )
 MESSAGE( "Note: to build with asserts and traces, run    cmake -DCMAKE_BUILD_TYPE=Debug " ${CMAKE_CURRENT_SOURCE_DIR} )
-MESSAGE( "Note: then, to build, run                      make -j4" )
-MESSAGE( "Note: to install, run                          sudo make install" )
 
-SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=c11 -D_XOPEN_SOURCE=700 -O2 -pedantic -g -Wall -Werror -Wno-overlength-strings ${GTK3_CFLAGS_OTHER}" )
+# ==== ==== ==== ==== ==== ==== ==== ==== Compiler Settings ==== ==== ==== ==== ==== ==== ==== ====
+
+SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=c11 -D_XOPEN_SOURCE=700 -O2 -pedantic -g -Wall -Wno-overlength-strings ${GTK3_CFLAGS_OTHER}" )
 # Note: The GIMP-generated images are longer that 4095 characters, therefore -Wno-overlength-strings is required here.
 
-# ==== ==== ==== ==== ==== ==== ==== ==== C-Code crystal-facet-uml Linker Settings ==== ==== ==== ==== ==== ==== ==== ====
+# ==== ==== ==== ==== ==== ==== ==== ==== Linker Settings ==== ==== ==== ==== ==== ==== ==== ====
 
 ADD_EXECUTABLE(crystal-facet-uml ${appSource} ${commonSource} ${COMPILE_IN_SOURCE_FILE})
 TARGET_LINK_LIBRARIES(crystal-facet-uml ${GTK3_LIBRARIES} ${GLIB2_LIBRARIES} ${PANGOCAIRO_LIBRARIES} ${SQLITE3_LIBRARIES} m)
 SET_TARGET_PROPERTIES(crystal-facet-uml PROPERTIES LINKER_LANGUAGE C)
 
-# ==== ==== ==== ==== ==== ==== ==== ==== C-Code unittest Compiler Settings ==== ==== ==== ==== ==== ==== ==== ====
-
-# for test cases, be less restrictive with errors.
-SET(CMAKE_C_FLAGS "-std=c11 -D_XOPEN_SOURCE=700 -O2 -pedantic -g -Wall -Wno-overlength-strings ${GTK3_CFLAGS_OTHER}" )
-# Note: The GIMP-generated images are longer that 4095 characters, therefore -Wno-overlength-strings is needed here.
-
-# ==== ==== ==== ==== ==== ==== ==== ==== C-Code unittest Linker Settings ==== ==== ==== ==== ==== ==== ==== ====
+# ==== ==== ==== ==== ==== ==== ==== ==== test Linker Settings ==== ==== ==== ==== ==== ==== ==== ====
 
 ADD_EXECUTABLE(test_crystal-facet-uml ${utestSource} ${commonSource} ${COMPILE_IN_SOURCE_FILE})
 TARGET_INCLUDE_DIRECTORIES(test_crystal-facet-uml PUBLIC test_fw/include)
@@ -122,10 +114,6 @@
 TARGET_LINK_LIBRARIES(test_crystal-facet-uml ${GTK3_LIBRARIES} ${GLIB2_LIBRARIES} ${PANGOCAIRO_LIBRARIES} ${SQLITE3_LIBRARIES} m)
 SET_TARGET_PROPERTIES(test_crystal-facet-uml PROPERTIES LINKER_LANGUAGE C)
 
-# ==== ==== ==== ==== ==== ==== ==== ==== Documentation Build Settings ==== ==== ==== ==== ==== ==== ==== ====
-
-MESSAGE( "Note: update the user docs via 'cd user_doc && make' before running make install")
-
 # ==== ==== ==== ==== ==== ==== ==== ==== Install Settings ==== ==== ==== ==== ==== ==== ==== ====
 
 INSTALL(TARGETS crystal-facet-uml DESTINATION "/usr/bin/")

=== debian/changelog ===
crystal-facet-uml (1.27.2-1) unstable; urgency=medium

  [ Andreas Warnke ]
  * new upstream version 1.27.2
  * metadata.xml file has MIT license as requested by freedesktop.org
  * CMakeLists has no separate compiler-flags for test-executable anymore
  * compiler switch Werror removed: warnings should not cause build-breaks
  * compiler warning fixed: conversions from unsigned int to size_t updated

  [ Mike Gabriel ]
  * debian/copyright: Renmae license tag from MIT to Expat.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 07 Jan 2021 06:26:41 +0100

## crystal-facet-uml 1.27.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -89,18 +89,18 @@
 MESSAGE( "Note: to build a release, run                  cmake -DCMAKE_BUILD_TYPE=Release " ${CMAKE_CURRENT_SOURCE_DIR} )
 MESSAGE( "Note: to build with asserts and traces, run    cmake -DCMAKE_BUILD_TYPE=Debug " ${CMAKE_CURRENT_SOURCE_DIR} )
 
-# ==== ==== ==== ==== ==== ==== ==== ==== Compiler Settings ==== ==== ==== ==== ==== ==== ==== ====
+# ==== ==== ==== ==== ==== ==== ==== ==== Common Settings ==== ==== ==== ==== ==== ==== ==== ====
 
 SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=c11 -D_XOPEN_SOURCE=700 -O2 -pedantic -g -Wall -Wno-overlength-strings ${GTK3_CFLAGS_OTHER}" )
 # Note: The GIMP-generated images are longer that 4095 characters, therefore -Wno-overlength-strings is required here.
 
-# ==== ==== ==== ==== ==== ==== ==== ==== Linker Settings ==== ==== ==== ==== ==== ==== ==== ====
+# ==== ==== ==== ==== ==== ==== ==== ==== EXE Target Settings ==== ==== ==== ==== ==== ==== ==== ====
 
 ADD_EXECUTABLE(crystal-facet-uml ${appSource} ${commonSource} ${COMPILE_IN_SOURCE_FILE})
 TARGET_LINK_LIBRARIES(crystal-facet-uml ${GTK3_LIBRARIES} ${GLIB2_LIBRARIES} ${PANGOCAIRO_LIBRARIES} ${SQLITE3_LIBRARIES} m)
 SET_TARGET_PROPERTIES(crystal-facet-uml PROPERTIES LINKER_LANGUAGE C)
 
-# ==== ==== ==== ==== ==== ==== ==== ==== test Linker Settings ==== ==== ==== ==== ==== ==== ==== ====
+# ==== ==== ==== ==== ==== ==== ==== ==== test Target Settings ==== ==== ==== ==== ==== ==== ==== ====
 
 ADD_EXECUTABLE(test_crystal-facet-uml ${utestSource} ${commonSource} ${COMPILE_IN_SOURCE_FILE})
 TARGET_INCLUDE_DIRECTORIES(test_crystal-facet-uml PUBLIC test_fw/include)
@@ -122,4 +122,21 @@
 INSTALL(FILES "${CMAKE_CURRENT_SOURCE_DIR}/gui/source/resources/crystal_facet_uml_80x80.png" DESTINATION "/usr/share/pixmaps/" RENAME "crystal-facet-uml.png")
 INSTALL(FILES "${CMAKE_CURRENT_SOURCE_DIR}/user_doc/crystal-facet-uml.1.gz" DESTINATION "/usr/share/man/man1/")
 
+# ==== ==== ==== ==== ==== ==== ==== ==== gcov Target Settings ==== ==== ==== ==== ==== ==== ==== ====
 
+if(CMAKE_COMPILER_IS_GNUCC)
+    SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fprofile-arcs -ftest-coverage" )
+    SET(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -fprofile-arcs" )
+    ADD_EXECUTABLE(gcov_crystal-facet-uml ${utestSource} ${commonSource} ${COMPILE_IN_SOURCE_FILE})
+    TARGET_INCLUDE_DIRECTORIES(gcov_crystal-facet-uml PUBLIC test_fw/include)
+    TARGET_INCLUDE_DIRECTORIES(gcov_crystal-facet-uml PUBLIC data/unittest)
+    TARGET_INCLUDE_DIRECTORIES(gcov_crystal-facet-uml PUBLIC ctrl/unittest)
+    TARGET_INCLUDE_DIRECTORIES(gcov_crystal-facet-uml PUBLIC gui/unittest)
+    TARGET_INCLUDE_DIRECTORIES(gcov_crystal-facet-uml PUBLIC io/unittest)
+    TARGET_INCLUDE_DIRECTORIES(gcov_crystal-facet-uml PUBLIC pencil/unittest)
+    TARGET_INCLUDE_DIRECTORIES(gcov_crystal-facet-uml PUBLIC universal/unittest)
+    TARGET_INCLUDE_DIRECTORIES(gcov_crystal-facet-uml PUBLIC utf8stringbuf/unittest)
+    TARGET_LINK_LIBRARIES(gcov_crystal-facet-uml ${GTK3_LIBRARIES} ${GLIB2_LIBRARIES} ${PANGOCAIRO_LIBRARIES} ${SQLITE3_LIBRARIES} m)
+    SET_TARGET_PROPERTIES(gcov_crystal-facet-uml PROPERTIES LINKER_LANGUAGE C)
+    SET_TARGET_PROPERTIES(gcov_crystal-facet-uml PROPERTIES EXCLUDE_FROM_ALL TRUE)
+endif(CMAKE_COMPILER_IS_GNUCC)

=== user_doc/Makefile ===
--- 
+++ 
@@ -1,13 +1,13 @@
-all: crystal_facet_uml_user_documentation.pdf html crystal_facet_uml.1.gz
+all: crystal-facet-uml_documentation.pdf html crystal-facet-uml.1.gz
 
-crystal_facet_uml_user_documentation.pdf: doc/*.xml doc/2_feature_gallery_export/*.pdf doc/*.pdf doc/*.png
+crystal-facet-uml_documentation.pdf: doc/*.xml doc/2_feature_gallery_export/*.pdf doc/*.pdf doc/*.png
 	cd doc &&\
-	dblatex --type=pdf crystal_facet_uml_user_documentation.xml &&\
+	dblatex --type=pdf crystal-facet-uml_documentation.xml &&\
 	cd .. &&\
-	mv doc/crystal_facet_uml_user_documentation.pdf .
+	mv doc/crystal-facet-uml_documentation.pdf .
 
 html: doc/*.xml doc/2_feature_gallery_export/*.png doc/*.png
-	xmlto --stringparam html.stylesheet=html.css -o html/ xhtml doc/crystal_facet_uml_user_documentation.xml &&\
+	xmlto --stringparam html.stylesheet=html.css -o html/ xhtml doc/crystal-facet-uml_documentation.xml &&\
 	echo relocate image files &&\
 	cd doc &&\
 	cat *.xml | grep -e 'fileref.*png' | sed -e 's/^[^"]*"\([^"]*\)".*/\1/' | xargs cp --target-directory=../html &&\
@@ -24,9 +24,9 @@
 #MAN_STYLESHEET_0="/usr/share/xml/docbook/stylesheet/nwalsh/1.78.1/manpages/docbook.xsl"
 #MAN_STYLESHEET_1="/usr/share/xml/docbook/stylesheet/suse/manpages/docbook.xsl"
 #MAN_STYLESHEET_2="/usr/share/xml/docbook/stylesheet/docbook-xsl/manpages/docbook.xsl"
-MANPAGE_FILE="crystal_facet_uml.1"
+MANPAGE_FILE="crystal-facet-uml.1"
 
-crystal_facet_uml.1.gz: doc/manpage.xml doc/1_non_tech_intro_para.xml
+crystal-facet-uml.1.gz: doc/manpage.xml doc/1_non_tech_intro_para.xml
 	rm -f ${MANPAGE_FILE}.gz ${MAPGAPE_FILE}i &&\
 	if [ -e "${MAN_STYLESHEET_ROOT}/docbook.xsl" ] ; then\
 	  echo "using ${MAN_STYLESHEET_ROOT}/docbook.xsl ...\n" &&\
@@ -38,8 +38,7 @@
         echo "to view the output, gunzip --keep ${MANPAGE_FILE}.gz && man --local-file ${MANPAGE_FILE}"
 
 clean:
-	rm -f crystal_facet_uml_user_documentation.pdf &&\
-	rm -f crystal_facet_uml_installation_win.pdf &&\
+	rm -f crystal-facet-uml_documentation.pdf &&\
 	rm -fr html &&\
 	rm -f ${MANPAGE_FILE}.gz

=== gui/source/resources/Makefile ===
all: type_feat

type_feat: type_feat_entry.pdf type_feat_exit.pdf type_feat_rx.pdf type_feat_tx.pdf

type_feat_entry.pdf: type_feat_entry.svg
	inkscape --export-pdf=type_feat_entry.pdf type_feat_entry.svg

type_feat_exit.pdf: type_feat_exit.svg
	inkscape --export-pdf=type_feat_exit.pdf type_feat_exit.svg

type_feat_rx.pdf: type_feat_rx.svg
	inkscape --export-pdf=type_feat_rx.pdf type_feat_rx.svg

type_feat_tx.pdf: type_feat_tx.svg
	inkscape --export-pdf=type_feat_tx.pdf type_feat_tx.svg

=== debian/changelog ===
crystal-facet-uml (1.27.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/watch:
    + Update to format version 4.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 17 Feb 2021 17:27:11 +0100

=== debian/control ===
--- 
+++ 
@@ -21,12 +21,15 @@
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
-Description: Diagram documentation tool for system and software architecture
- crystal_facet_uml creates sysml/uml diagrams to document system and
+Description: Diagram documentation tool for system and software architecture:
+ crystal-facet-uml creates sysml/uml diagrams to document system and
  software architecture.
  .
  As software architect, you create a set of diagrams describing
  use-cases, requirements, structural views, behavioral and deployment
- views. crystal_facet_uml keeps element names and element hierarchies
+ views. crystal-facet-uml keeps element names and element hierarchies
  consistent. It exports diagrams in svg, pdf, ps and png formats to be
  used in text processing systems like DocBook, html, LaTeX.
+ crystal-facet-uml exports the model to xmi format.
+ This tool runs on your local PC and is based on
+ glib, gdk, gtk, cairo, pango, sqlite.

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/crystal-facet-uml-$1.tar.gz/ \
https://github.com/awarnke/crystal_facet_uml/tags .*/archive/v?([\d\.]+).tar.gz
